Package ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter

# Class ContractParameterGroupAttr

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttr
ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractParameterGroupAttr
    extends EntitySpecAttr

Параметр группы параметров. Заменяет `ContractParameterPref`.
Чтобы получить:

    context.getDirectory( ContractParameterGroupAttr.class, 0 ).get( pid )

Или через `ContractParameterService.contractParameterGroupAttrGet(int)`, `ContractParameterService.contractParameterGroupAttrList()`.
Получить группу параметров:

    context.getDirectory( ContractParameterGroup.class, 0 ).get( contractParameterGroupId )

Или через `ContractParameterService.contractParameterGroupGet(int)`, `ContractParameterService.contractParameterGroupList()`.
Сгруппировать по типу: `EntitySpecAttr.toTypeMap(java.util.List)`

See Also:
  `EntitySpecAttr`, `ContractParameterGroup`, Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractParameterGroupAttr()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getOrder()` | Порядок для сортировки
  `boolean` | `isAlwaysVisible()` |
  `boolean` | `isCustomerRead()` | Может ли абонент видеть значение параметра.
  `boolean` | `isCustomerWrite()` | Может ли абонент изменять значение параметра.
  `void` | `setAlwaysVisible​(boolean alwaysVisible)` |
  `void` | `setCustomerRead​(boolean customerRead)` |
  `void` | `setCustomerWrite​(boolean customerWrite)` |
  `void` | `setOrder​(int order)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttr

  `getComment, getType, getTypeName, getTypeName, isHistory, setComment, setHistory, setType, toTypeMap`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractParameterGroupAttr

    public ContractParameterGroupAttr()

- ## Method Details

  - ### getOrder

    public int getOrder()
    Порядок для сортировки
    Returns:

  - ### setOrder

    public void setOrder​(int order)

  - ### isCustomerRead

    public boolean isCustomerRead()
    Может ли абонент видеть значение параметра.
    Returns:

  - ### setCustomerRead

    public void setCustomerRead​(boolean customerRead)

  - ### isCustomerWrite

    public boolean isCustomerWrite()
    Может ли абонент изменять значение параметра.
    Returns:

  - ### setCustomerWrite

    public void setCustomerWrite​(boolean customerWrite)

  - ### isAlwaysVisible

    public boolean isAlwaysVisible()

  - ### setAlwaysVisible

    public void setAlwaysVisible​(boolean alwaysVisible)